version: '3.3'

services:
  db:
    image: mysql
    restart: always
    environment:
      # The username for the custom user you want to configure
      - MYSQL_USER=user
      # The password for that user 
      - MYSQL_PASSWORD=pass
      # The database that will be setup with access rights granted to the user you defined above
      - MYSQL_DATABASE=book_manager
      # The password for the "root" user (always exist and has all rights)
      - MYSQL_ROOT_PASSWORD=rootpass
    ports:
      # <Port exposed> : < MySQL Port running inside container>
      - '3306:3306'
    expose:
      # Opens port 3306 on the container
      - '3306'
    volumes:
      # Where our data will be persisted
      - db_persistence_volume:/var/lib/mysql

# Names our volume
volumes:
  db_persistence_volume:
